diff --git a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/invoke/reflect/OperationMethodParameterTests.java b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/invoke/reflect/OperationMethodParameterTests.java
index 98186555043..d1c324b074a 100644
--- a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/invoke/reflect/OperationMethodParameterTests.java
+++ b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/invoke/reflect/OperationMethodParameterTests.java
@@ -86,7 +86,8 @@ void isMandatoryWhenJsrMetaNullableAnnotationShouldReturnFalse() {
 		assertThat(parameter.isMandatory()).isFalse();
 	}
 
-	public void isMandatoryWhenJsrNonnullAnnotationShouldReturnTrue() {
+	@Test
+	void isMandatoryWhenJsrNonnullAnnotationShouldReturnTrue() {
 		OperationMethodParameter parameter = new OperationMethodParameter("name",
 				this.exampleJsr305NonNull.getParameters()[1]);
 		assertThat(parameter.isMandatory()).isTrue();
